title: "A to Z Neurology for Physicians"
lang: en

project:
  type: book
  output-dir: ../_site/AtoZ_Physicians
  resources:
    - ../ebook.css
    - videos/
    - mcq-interactive.js
    - mcq-interactive.css
    - table-width-fix.js

book:
  title: "A to Z Neurology for Physicians"
  chapters:
    - index.qmd
    - text: "Disease Based Approach"
      file: disease_redirect.qmd
    - text: "Examination Preparation & MCQs"
      file: exam_prepare.qmd
    - text: "My Profile"
      file: profile_link.qmd
  sidebar:
    style: floating
    search: true

format:
  html:
    theme: cosmo
    smooth-scroll: true
    link-external-newwindow: true
    include-in-header:
      - text: |
          <script src="../env.js"></script>
          <script src="../auth.js"></script>
          <script src="../physician-auth-guard.js"></script>
    css:
      - ../ebook.css
      - toc-mobile.css
      - mcq-interactive.css
      - table-styles.css
    include-after-body:
      - text: |
          <script src="table-width-fix.js"></script>
          <script src="mcq-interactive.js"></script>
          <script src="../navbar-visibility.js"></script>
    toc: true
    toc-location: right-body
    toc-depth: 5
    toc-expand: 1
    toc-title: "Contents"
    number-sections: false
    page-layout: full

  epub:
    title: "A to Z Neurology for Physicians"
    author: "Vijay Renga, MD"
    lang: en
    toc: true
    toc-depth: 3
    cover-image: cover/cover.png
    css: ../ebook.css
    font-size: 11pt
    theme: flatly
    page-progression-direction: ltr
    number-sections: false
    tables: true
    link-color: "#1C7C54"
    epub-cover: true
    filters:
      - remove-videos-epub.lua
      - fix-epub-links.lua
    pandoc-args:
      - "--toc"
      - "--epub-chapter-level=3"

  pdf:
    documentclass: scrbook
    classoption: [openany]
    papersize: letter
    geometry: margin=1in
    fontsize: 11pt
    toc: true
    number-sections: false
    colorlinks: true
    linkcolor: "NeuroGreen"
    highlight-style: tango
    include-in-header: ebook_pdf_style.tex
    keep-tex: true
